Bug 242068 - [NEW PORT] sysutils/sysctlbyname-improved-kmod: sysctl node to implement an improved sysctlbyname(3) clone
Summary: [NEW PORT] sysutils/sysctlbyname-improved-kmod: sysctl node to implement an i...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL: https://gitlab.com/alfix/sysctlbyname...
Keywords:
Depends on:
Blocks: 242237
  Show dependency treegraph
 
Reported: 2019-11-19 05:04 UTC by Alfonso S. Siciliano
Modified: 2019-12-14 11:07 UTC (History)
1 user (show)

See Also:


Attachments
.shar (3.52 KB, text/plain)
2019-11-19 05:04 UTC, Alfonso S. Siciliano
no flags Details
new .shar (mainstream fix) (3.52 KB, patch)
2019-11-24 02:50 UTC, Alfonso S. Siciliano
alfix86: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alfonso S. Siciliano 2019-11-19 05:04:38 UTC
Created attachment 209242 [details]
.shar

Kernel module to add the sysctl.entryidinputbyname sysctl node
to allow to implement an improved sysctlbyname(3) clone to handle:

 * a node without a level name, e.g., "security.jail.param.allow.mount."
 * a CTLTYPE_NODE with a no-NULL handler, e.g., "kern.proc.pid.<pid>"

The sysctlbyname_improved() function and an example are provided, too.

WWW: https://gitlab.com/alfix/sysctlbyname-improved/

testing

 * poudriere testport -j 130Camd64 -p default -i -o sysutils/sysctlbyname-improved-kmod
 * poudriere testport -j 120Ramd64 -p default -i -o sysutils/sysctlbyname-improved-kmod
 * poudriere testport -j 113Ramd64 -p default -i -o sysutils/sysctlbyname-improved-kmod

Thanks,
Alfonso
Comment 1 Alfonso S. Siciliano 2019-11-24 02:50:12 UTC
Created attachment 209373 [details]
new .shar (mainstream fix)
Comment 2 commit-hook freebsd_committer 2019-12-14 11:06:56 UTC
A commit references this bug:

Author: tcberner
Date: Sat Dec 14 11:06:44 UTC 2019
New revision: 520107
URL: https://svnweb.freebsd.org/changeset/ports/520107

Log:
  [NEW PORT] sysutils/sysctlbyname-improved-kmod: sysctl node to implement an improved sysctlbyname(3) clone

  Kernel module to add the sysctl.entryidinputbyname sysctl node
  to allow to implement an improved sysctlbyname(3) clone to handle:

   * a node without a level name, e.g., "security.jail.param.allow.mount."
   * a CTLTYPE_NODE with a no-NULL handler, e.g., "kern.proc.pid.<pid>"

  The sysctlbyname_improved() function and an example are provided, too.

  WWW: https://gitlab.com/alfix/sysctlbyname-improved/

  PR:		242068
  Submitted by:	Alfonso S. Siciliano <alfix86@gmail.com>

Changes:
  head/sysutils/Makefile
  head/sysutils/sysctlbyname-improved-kmod/
  head/sysutils/sysctlbyname-improved-kmod/Makefile
  head/sysutils/sysctlbyname-improved-kmod/distinfo
  head/sysutils/sysctlbyname-improved-kmod/pkg-descr
  head/sysutils/sysctlbyname-improved-kmod/pkg-message
Comment 3 Tobias C. Berner freebsd_committer 2019-12-14 11:07:10 UTC
Committed. Thanks.